summaryrefslogtreecommitdiffstats
path: root/tests/gnu/L_delete.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/gnu/L_delete.sh')
-rw-r--r--tests/gnu/L_delete.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/gnu/L_delete.sh b/tests/gnu/L_delete.sh
new file mode 100644
index 0000000..08f39af
--- /dev/null
+++ b/tests/gnu/L_delete.sh
@@ -0,0 +1,9 @@
+rm -rf scratch/*
+mkdir scratch/foo
+mkdir scratch/bar
+ln -s ../foo scratch/bar/baz
+
+# Don't try to rmdir() a symlink
+invoke_bfs -L scratch/bar -delete || return 1
+
+bfs_diff scratch